<?php

namespace App\Console\Commands\SuperiorBooks;

use App\Modules\Book\Services\SuperiorHistoryBookService;
use DB;
use Illuminate\Console\Command;

class HistorySupriorBook extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'addHistorySuperiorBook';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '扫描历史书库';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        //
        SuperiorHistoryBookService::selectHistoryBooks();
        SuperiorHistoryBookService::selectMaleSuperiorBooks();

    }
}
